<?php

function ars_template_part($name) {
    get_template_part(ARS_PART, $name);
}

function ars_meta($name, $esc_html = true) {
    $result = get_post_meta(get_the_ID(), ARS_CMBP . $name, true);

    if ($esc_html) return esc_html($result);
    
    return $result;
}

function ars_get_parallax($page) {
    $img = get_the_post_thumbnail_url($page, 'full');

    print($img ?: ARS_URI . "assets/img/parallax.jpg");
}

function ars_get_portfolio() {
    $portfolio = get_posts(['numberposts' => 4, 'post_type' => 'portfolio']);
    
    return (object) [
        'count' => count($portfolio),
        'rows'  => array_chunk($portfolio, 2)
    ];
}

function ars_get_portfolio_category($post) {
    $_categories = wp_get_post_terms($post->ID, 'portfolio_category');

    $categories  = [];
    foreach ($_categories as $category) :
        $categories[] = $category->name;
    endforeach;

    if ($categories) :
        printf('<p>' . implode(' / ', $categories) . '</p>');
    endif;
}

function ars_get_portfolio_thumb($post) {
    $img = get_the_post_thumbnail_url($post->ID, 'cv-thumb');

    print($img ?: ARS_URI . "assets/img/default.jpg");
}

function ars_get_post_category() {
    $categories = [];

    foreach (get_categories() as $category) :
        $categories[] = $category->name;
    endforeach;

    if ($categories) :
        printf('<p>' . implode(' / ', $categories) . '</p>');
    endif;
}

function ars_get_post_thumb($post) {
    $img = get_the_post_thumbnail_url($post->ID, 'cv-thumb');

    print($img ?: ARS_URI . "assets/img/default.jpg");
}

function ars_recent_posts() {
    $recent_posts = wp_get_recent_posts([
        'numberposts' => 3,
        'post_status' => 'publish'
    ], OBJECT);

    return (object) [
        'count' => count($recent_posts),
        'posts' => $recent_posts,
    ];
}