<?php

function nucleare_entry_category() {
    global $post, $wp_rewrite;

    if (get_post_type() == 'post') :
        $categories_list = get_the_category_list(' / ');

        if ($categories_list) :
            printf('<span class="cat-links">' . $categories_list . '</span>');
        endif;
    elseif (get_post_type() == 'portfolio') :
        $_categories = wp_get_post_terms($post->ID, 'portfolio_category');
        
        $categories  = [];
        foreach ($_categories as $category) :
            $rel    = (is_object($wp_rewrite) && $wp_rewrite->using_permalinks()) ? 'rel="category tag"' : 'rel="category"';
            $categories[] = '<a href="' . esc_url(get_term_link($category)) . '" ' . $rel . '>' . $category->name . '</a>';
        endforeach;

        if ($categories) :
            printf('<span class="cat-links">' . implode(' / ', $categories) . '</span>');
        endif;
    endif;
}

function nucleare_entry_footer() {
    global $post, $wp_rewrite;

    if (get_post_type() == 'post') :
        $tags_list = get_the_tag_list('', ', ');

        if ( $tags_list ) :
            printf('<span class="tags-links"><i class="fa fa-tags spaceRight" aria-hidden="true"></i>' . $tags_list . '</span>');
        endif;
    elseif (get_post_type() == 'portfolio') :
        $_tags = wp_get_post_terms($post->ID, 'portfolio_tag');
        
        $tags  = [];
        foreach ($_tags as $tag) :
            $tags[] = '<a href="' . esc_url(get_term_link($tag)) . '" rel="tag">' . $tag->name . '</a>';
        endforeach;

        if ($tags) :
            printf('<span class="tags-links"><i class="fa fa-tags spaceRight" aria-hidden="true"></i>' . implode(', ', $tags) . '</span>');
        endif;
    endif;

    edit_post_link( esc_html__( 'Edit', 'nucleare' ), '<span class="edit-link"><i class="fa fa-wrench spaceRight" aria-hidden="true"></i>', '</span>' );
}